

var DOCKING_API_URL = 'http://www.tfl.gov.uk/tfl/syndication/feeds/cycle-hire/livecyclehireupdates.xml';

var MIN_LOAD_INTERVAL = 1000 * 60 * 3; // 3 mins
var DOCKING_DATA_FILENAME = 'docking_data.json';

/**
 * The URL of an xml feed supplying docking station information.
 * @return String A URL.
 */
var dockingApiUrl = function() {
	return DOCKING_API_URL;
}


/**
 * The minimum time in milliseconds between polling for the docking feed.
 * @return Integer A time in milliseconds 
 */
var minimumLoadInterval = function() {
	return MIN_LOAD_INTERVAL;
}

/**
 * The filename used to store docking station data, not including the path.
 * @return String filename
 */
var dockingDataFilename = function() {
	return DOCKING_DATA_FILENAME;
}

//Export public api.
exports.dockingApiUrl = dockingApiUrl;
exports.minimumLoadInterval = minimumLoadInterval;
exports.dockingDataFilename = dockingDataFilename;
